Bug 243602

Summary: databases/sqlite3: Update to 3.31.0
Product: Ports & Packages Reporter: Pavel Volkov <pavelivolkov>
Component: Individual Port(s)Assignee: Danilo G. Baio <dbaio>
Status: Closed FIXED    
Severity: Affects Some People CC: dbaio, pavelivolkov, ports, rhurlin, tcberner
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=244366
Attachments:
Description Flags
patch
pavelivolkov: maintainer-approval+
poudriere log
none
path to version 3.31.1
pavelivolkov: maintainer-approval+
poudriere log for new path none

Description Pavel Volkov 2020-01-26 07:06:06 UTC
Created attachment 211047 [details]
patch

Upgraded to version 3.31.0 (https://www.sqlite.org/releaselog/3_31_0.html)
Added new option: TRUSTED_SCHEMA (https://www.sqlite.org/compile.html#trusted_schema)
Comment 1 Pavel Volkov 2020-01-26 07:07:49 UTC
Created attachment 211048 [details]
poudriere log
Comment 2 commit-hook freebsd_committer 2020-01-26 09:03:30 UTC
A commit references this bug:

Author: tcberner
Date: Sun Jan 26 09:03:03 UTC 2020
New revision: 524162
URL: https://svnweb.freebsd.org/changeset/ports/524162

Log:
  databases/sqlite3: Update to 3.31.0

  PR:		243602
  Submitted by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)

Changes:
  head/databases/sqlite3/Makefile
  head/databases/sqlite3/distinfo
Comment 3 Tobias C. Berner freebsd_committer 2020-01-26 09:04:15 UTC
Committed. Thanks.
Comment 4 commit-hook freebsd_committer 2020-01-27 05:34:11 UTC
A commit references this bug:

Author: tcberner
Date: Mon Jan 27 05:33:13 UTC 2020
New revision: 524241
URL: https://svnweb.freebsd.org/changeset/ports/524241

Log:
  databases/sqlite3: revert upgrade to 3.31.0

  Firefox relied on internals. They changed, which leads to segfaults.

  [1] https://bugzilla.mozilla.org/show_bug.cgi?id=1607902
  [2] https://hg.mozilla.org/try/rev/8d7104bac33729b4da67954b07fb08371df39bd8

  PR:		243602
  Reported by:	Michael Butler <imb@protected-networks.net>, David Wolfskill <david@catwhisker.org>

Changes:
  head/databases/sqlite3/Makefile
  head/databases/sqlite3/distinfo
Comment 5 Tobias C. Berner freebsd_committer 2020-01-27 05:34:35 UTC
This unfortunately needed to be reverted due to an issue in www/firefox and mail/thunderbird.
Comment 6 Pavel Volkov 2020-03-18 13:14:05 UTC
Created attachment 212495 [details]
path to version 3.31.1

Hello.
How about upgrade to version 3.31.1?
Who is may check work his with www/firefox?
And this path sets json1 option by default.
It's required for PR#244366
(https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=244366)
Comment 7 Pavel Volkov 2020-03-18 13:15:00 UTC
Created attachment 212496 [details]
poudriere log for new path
Comment 8 Sascha Biberhofer 2020-04-11 18:30:22 UTC
Are there any news on the status of this issue? The update (or rather, the json1 support contained in this update) would be needed to resolve issue #244279. Is there any way I can help here?

If the update itself is still problematic, can we perhaps move ahead and at least commit the json1 support as mentioned in #244366?

Cheers,
Sascha
Comment 9 Tobias C. Berner freebsd_committer 2020-04-12 17:34:14 UTC
(In reply to Sascha Biberhofer from comment #8)

Moin moin 

It would probably be good if someone went ahead and checked, if the issue with firefox/thunderbird is still remaining, or whether it is save to update now.


mfg Tobias
Comment 10 Rainer Hurling 2020-04-12 18:25:55 UTC
(In reply to Tobias C. Berner from comment #9)

I just reinstalled r524162 with sqlite3-3.31.0. 

After that reinstalled Firefox 75.0_1,1 and Thunderbird 68.7.0 and both seem to work.

This is on 13.0-CURRENT r359774 amd64.
Comment 11 Danilo G. Baio freebsd_committer 2020-04-21 12:36:50 UTC
(In reply to Rainer Hurling from comment #10)

runtime tests ok here and also poudriere.

I'll make two commits, one for adding json1 option, and another for the update.
Comment 12 commit-hook freebsd_committer 2020-04-21 12:49:13 UTC
A commit references this bug:

Author: dbaio
Date: Tue Apr 21 12:48:59 UTC 2020
New revision: 532268
URL: https://svnweb.freebsd.org/changeset/ports/532268

Log:
  databases/sqlite3: Set JSON1 option as default

  JSON1 is required for net-im/py-matrix-synapse.

  PR:		244366
  PR:		243602
  Submitted by:	Sascha Biberhofer <ports@skyforge.at>
  Approved by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)
  MFH:		2020Q2

Changes:
  head/databases/sqlite3/Makefile
Comment 13 commit-hook freebsd_committer 2020-04-21 13:50:22 UTC
A commit references this bug:

Author: dbaio
Date: Tue Apr 21 13:49:25 UTC 2020
New revision: 532270
URL: https://svnweb.freebsd.org/changeset/ports/532270

Log:
  databases/sqlite3: Update to 3.31.1

  Changelog:	https://www.sqlite.org/releaselog/3_31_1.html
  ABI:		https://abi-laboratory.pro/tracker/timeline/sqlite/

  PR:		243602
  Submitted by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)

Changes:
  head/databases/sqlite3/Makefile
  head/databases/sqlite3/distinfo
Comment 14 commit-hook freebsd_committer 2020-04-22 10:51:20 UTC
A commit references this bug:

Author: dbaio
Date: Wed Apr 22 10:50:37 UTC 2020
New revision: 532464
URL: https://svnweb.freebsd.org/changeset/ports/532464

Log:
  MFH: r532268

  databases/sqlite3: Set JSON1 option as default

  JSON1 is required for net-im/py-matrix-synapse.

  PR:		244366
  PR:		243602
  Submitted by:	Sascha Biberhofer <ports@skyforge.at>
  Approved by:	Pavel Volkov <pavelivolkov@gmail.com> (maintainer)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/databases/sqlite3/Makefile
Comment 15 Danilo G. Baio freebsd_committer 2020-04-22 10:54:54 UTC
Committed, thank you all!